версия genymotion и версия виртуального устройства не совпадают

? Chielarck @ | Original: StackOverFlow
---

Я использую Genymotion эмулятор развиваться на Android, но когда я запускаю его, происходитследующая ошибка :

genymotion version and virtual device version do not match

это для деталей  http://giggle.se/stack/genymotion.PNG

Я использую Genymotion ver.2.2.0 и VirtualBox ver.4.3.12

Может кто-нибудь мне помочь?

---

Top 5 ответ

1TGMCians @

Any help me?

Вы должны обновить виртуальное устройство, которое вот и все, если вы не хотите видеть новую функцию, то вы можете нажать на кнопку "Продолжить" .

При обновлении его, то вы будете иметь свежий виртуальное устройство, то есть вам нужно установить другие приложения сторонних, которые, если вы установили в текущем виртуальном устройстве, как в Google Apps ( Play Store, Google + и т.д.)

https://cloud.genymotion.com/page/changelog/#220

Мы регулярно добавлять новые функции в Genymotion . Эти новые функции не могут работать на виртуальных устройствах, созданных с помощью предыдущей версии Genymotion . Вот почему вы видите раздражающих всплывающих при попытке запустить их с новой версией Genymotion . Но радоваться ! Сегодняпоследний день, когда вы должны будете сделать это. В этом выпуске мы ввели мастер, который автоматически переносит старые устройства на новые. Так что пожалуйста, в последний раз, удаляйте текущие виртуальных устройств и создавать новые, используя наш новый 2,2 Genymotion версию. В следующий раз, вы сможете автоматически преобразовывать их .

версия genymotion и версия виртуального устройства не совпадают

Если вы используете бесплатную версию, вы не можете использовать обновление на виртуальном устройстве (это только для платной версии ) . Так что вам нужно сделать, это удалить это устройство из списка и повторно загрузить или добавить тот же виртуальный устройство из списка снова. Это должно решить, чтобы остановить эту всплывающее окно.

2Emmanuel @

Это на самом деле неошибка . Это просто говорит вам, что вы должны до Odate вашему виртуальному устройству . Если вы используете Службы Google, обновление будет удалить их, и вам придется установить их вручную . Вы можете продолжать использовать старую версию без каких-либо проблем, если вы не хотите, чтобы обновить .

3sparkz @

Это произошло на одном из моих компьютеров Mac . Очистка кэша не помогла . Не сделал переустановки Genymotion . Однако я нашел решение (я предполагаю, какие-то аналогичной процедуры относится к Windows-ПК ) :

перейти ксвежей установки Genymotion 2.2.0 на другом Mac ( назовем его : " источник " ) . Добавление нового устройства (например " Google Nexus 7 2013 " ) . Правильно 2.2.0 виртуальное устройство будет загружена из Genymotion Cloud. Запустите виртуальную машину один раз, затем закройте его.

на "источник" Mac, откройте Finder и использовать меню " Перейти к папке ", чтобы перейти к папке /Users/[YourUserID]/.Genymobile/Genymotion/deployed . Найдите папку, соответствующую вашей вновь установленной виртуального устройства (например, " Google Nexus 7 2013 - 4.4.2 - API 19 - 1200x1920 " в нашем примере) и скопируйте его в ту же самую месте на вашей " мишени " Mac ( предполагая, что это не ни один из существующих папка с таким именем )

на "источник" Mac, перейдите к папке / Users / [ YourUserID ] / Library папки ( клавиша Alt + " Перейти в папку" меню в Finder ). Перейдите в папку, VirtualBox и откройте файл VirtualBox.xml с TextEdit . Найдите строку, которая соответствует вашей вновь установленной виртуального устройства в разрезе; добавьте эту строку в секции файла VirtualBox.xml вашего " цели " Mac (находится в той же папке ).

Это так! Начните Genymotion на " целевой " Mac и начать свой новый виртуальный прибор. Нет больше " версия genymotion и версия виртуального устройства не совпадают " предупреждение.

4user3427491 @

вам просто нужно обновить genymotion обновить версию

Если вашему виртуальному устройству и genymotion не совпадают, вы получите трудно установить третью часть

как я, я просто установить нового виртуального устройства на genymotion (Samsung S ), но не соответствует моей genymotion . Затем, я обновить мою genymotion и я не нужно, чтобы загрузить устройство снова :) ( Мое устройство сохраняется )